This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 443790 - smstools logrotate does not work properly
smstools logrotate does not work properly
Status: CLOSED NEXTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: smstools (Show other bugs)
el5
All Linux
low Severity low
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 07:19 EDT by Tom Atkinson
Modified: 2008-12-20 07:37 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-20 07:37:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom Atkinson 2008-04-23 07:19:05 EDT
Description of problem:

smstools logrotate does not work properly

Version-Release number of selected component (if applicable):

smstools-3.0.10-1.el5


Steps to Reproduce:
1. Observe a log rotation
  
Actual results:

smstools continues to write to old log file

Expected results:

smstools should write to the fresh log file

Additional info:

/etc/logrotate.d/smstools uses the wrong service name. It attempts to restart
'smstools' but the service is actually named 'smsd' so it fails.

Easy fix.
Comment 1 Marek Mahut 2008-04-24 02:22:21 EDT
Good catch, I'll update this soon.

Note You need to log in before you can comment on or make changes to this bug.